<!DOCTYPE html>
{% load staticfiles %}
<html lang="en">
<head>
<meta http-equiv="Content-type" content="text/html;charset=UTF-8">
	 <meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="https://code.highcharts.com/css/highcharts.css"/>	
	   <link rel="icon" href="{% static 'images/logo-head.PNG' %}">

<!--===============================================================================================

-->
<style>
.highcharts-color-0 {
  fill: rgb(76,187,23);
  stroke: rgb(40,97,152);
}
.highcharts-color-1 {
  fill: rgb(194,24,7);
  stroke: rgb(40,97,152);
}
.highcharts-color-2 {
  fill: rgb(16,52,166);
  stroke: rgb(40,97,152);
}
</style>

</head>
<body>
<div id="container5" class="pie-chart" width="100%"></div>	
 
<script src="{% static 'js/highstock.js'%}"></script>

<script>
// Variable to store the sentiment data which will draw the sentiment pie chart
var sentiments={{sentiments|safe}}
var country ='{{country|safe}}'
parent.llength={{length|safe}}
parent.count=0
function top_sentiments(){
return [["Positive",sentiments[0],false,false],["Negative",sentiments[1],false,false],["Neutral",sentiments[2],false,false]]

}
var chart4=Highcharts.chart('container5', {

    chart: {
        styledMode: true
    },
    title: {
        text: ''
    },

    xAxis: {
        categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec']
    },
	tooltip: {
      pointFormat: '{point.percentage:.0f} % total: {point.y}<br>'
    },
	 plotOptions:{
	 pie:{
		states:{
			hover:{
				brightness:0.6
				}
			},
	 		 colorsIndex: ['#008000', '#FF0000', '#0000FF'],
			 dataLabels: {
          enabled: true,
          format: '<b>{point.name}</b>:<br>{point.percentage:.0f} %<br>total: {point.y}',
        }

	 }
	 },
    series: [{
        type: 'pie',
        allowPointSelect: true,
        keys: ['name', 'y', 'selected', 'sliced'],
        data: top_sentiments(),
		point: {
                    events: {
					click: function(){
// Function to call when a pie portion is selected this.name shows the portion selected

if(!this.selected){
index=nthIndex(window.location.toString(),"/",7)
end=(window.location.toString()).slice(index,(window.location.toString()).length)
src="http://35.226.69.237/"+country+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src="http://35.226.69.237/"+country+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+=this.name+"/"+parent.document.getElementById("sel").value+end
parent.loadIframe("twitter",src)

src="http://35.226.69.237/"+country+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+=this.name+"/"+parent.document.getElementById("sel").value+end
parent.loadIframe("word-cloud",src)
parent.loadIframe("word-assoc","http://34.66.198.6/"+country+"/word/0/999999999999999/All/all/top/top/_")



}

else{ 

index=nthIndex(window.location.toString(),"/",7)
end=(window.location.toString()).slice(index,(window.location.toString()).length)

src="http://35.226.69.237/"+country+"/twitter/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+="All/"+parent.document.getElementById("sel").value+end

parent.loadIframe("twitter",src)

src="http://35.226.69.237/"+country+"/word/"+parseInt(parent.min).toString()+"/"+parseInt(parent.max).toString()+"/"
src+="All/"+parent.document.getElementById("sel").value+end
parent.loadIframe("word-cloud",src)
parent.loadIframe("word-assoc","http://35.226.69.237/"+country+"/word/0/999999999999999/All/all/top/top/_")

}



}
					
					
					}
        
		},
        showInLegend: true
    }]
});
function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++<L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}	
</script>	
 </script>
</body>
</html>
